<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.StoreActivityRuleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.StoreActivityRule">
        <id column="id" property="id" />
        <result column="activity_id" property="activityId" />
        <result column="rule_type" property="ruleType" />
        <result column="time_limit" property="timeLimit" />
        <result column="limitation_people" property="limitationPeople" />
        <result column="claims_number" property="claimsNumber" />
        <result column="discount_type" property="discountType" />
        <result column="discount_grade" property="discountGrade" />
        <result column="discount_money" property="discountMoney" />
        <result column="store_ids" property="storeIds" />
        <result column="is_dine_in" property="isDineIn" />
        <result column="is_take_out" property="isTakeOut" />
        <result column="effective_days" property="effectiveDays" />
        <result column="send_type" property="sendType" />
        <result column="daily_min_amount" property="dailyMinAmount" />
        <result column="daily_max_amount" property="dailyMaxAmount" />
        <result column="daily_collection_frequency" property="dailyCollectionFrequency" />
        <result column="retention_days" property="retentionDays" />
        <result column="task_type" property="taskType" />
        <result column="task_detail" property="taskDetail" />
        <result column="browse_time" property="browseTime" />
        <result column="min_amount" property="minAmount" />
        <result column="max_amount" property="maxAmount" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, rule_type, time_limit, limitation_people, claims_number, discount_type, discount_grade, discount_money, store_ids, is_dine_in, is_take_out, effective_days, send_type, daily_min_amount, daily_max_amount, daily_collection_frequency, retention_days, task_type, task_detail, browse_time, min_amount, max_amount, delete_flag, created_time, updated_time, created_user_id, updated_user_id
    </sql>

</mapper>
